﻿@{
    var currentStatus = (EventStatusCategories)ViewBag.CurrentStatus;
    var status = (EventStatusCategories)ViewBag.Status;
    var warningText = "";
    var title = "";
    var buttonClass = "btn btn-info btn-block loading";
    if (currentStatus == EventStatusCategories.open && status == EventStatusCategories.frozen)
    {
        warningText = @"Freezing a coupon suspends the coupon and prevents players from using it. This operation might be useful if you want to deactive it for some reasons, the freezing or unfreezing operations have no practical impacts.";
        title = "Freez";

    }
    else if (currentStatus == EventStatusCategories.frozen && status==EventStatusCategories.open)
    {
        warningText = @"Unfreezing an coupon reverses the freezing process and allows players to use it during registration. If a coupon end date has passed, the freezing or unfreezing operations have no practical impacts.";
        title = "Unfreez";

    }
    else if (status == EventStatusCategories.deleted)
    {
        warningText = @"Note that this operation is permanent and is not reversible. Once you delete this coupon, you cannot undo the delete operation";
        title = "Delete";
        buttonClass = "btn btn-danger btn-block loading";
    }
    
}
<div class="modal-header">
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
    <h3 id="myModalLabel3" class="text-left">
        @title Coupon
    </h3>
</div>
<div class="modal-body">
    <span class="pull-left"><strong>Are you sure you want to @title.ToLower() this coupon?</strong></span><br />
    <p class="pull-left">

        @warningText
    </p>
    <br />

</div>
<div class="modal-footer text-center">
    @using (Ajax.BeginForm("FreezOrDeleteCoupon", "Coupon", new { couponId = ViewBag.CouponId, @status }, new AjaxOptions { OnBegin = "BeginFreez", OnComplete = "CompleteFreez", OnSuccess = "SuccessFreez" }, new { @id = "DeleteFreezForm" }))
    {
        <input id="btnFreezeEvent" type="submit" class="@buttonClass"  data-loading-text="Freezing..." value="yes, i am sure" />   
    }
</div>

<script type="text/javascript">
    $(document).ready(function () {
        buttonInit();
    });

    function SuccessFreez(data) {
        if (data.success) {
            $("#mainPopUp").modal("hide");
            location.reload();
        }
    }
    function CompleteFreez() {
        $('.loading').button('reset');
        $("#DeleteFreezForm").hideLoading();
    }

    function BeginFreez() {
        $("#DeleteFreezForm").showLoading({ 'indicatorZIndex': 200 });
    }
</script>
